
package myrobot;

import userfunctions.*;

import jess.*;


/**
 * External function:
 * (sin <value>) where <value> is expressed in degrees 
 */

public class Sin implements Userfunction {

    public String getName() {
        return "sin";
    }

    public Value call(ValueVector vv, Context context) throws JessException {
        Value v = vv.get(1).resolveValue(context);
     
        // Perform degrees2radians conversion
        return new Value(Math.sin((v.numericValue(context) / 360) * (2 * Math.PI)), RU.FLOAT);
    }
}
